Skip to main content
GET
Read Event

Authorizations

Authorization
string
header
required

Authentication: You can generate a Personal Access Token from your settings.

Path Parameters

id
string<uuid4>
required

Identifier of the event.

Response

Request completed successfully

Object representing event created by Ruba when credits are added to a customer meter.

id
string<uuid4>
required

The stable identifier for this record.

timestamp
string<date-time>
required

Time at which the event occurred.

organization_id
string<uuid4>
required

Unique identifier for the organization owning the event.

Example:

"1dbfc517-0bbf-4301-9ba8-555ca42b9737"

customer_id
string<uuid4> | null
required

Identifier of the customer in your Ruba organization associated with the event.

customer
CustomerIndividual · object
required

Customer record connected to this event.

external_customer_id
string | null
required

Your system identifier for the customer connected to this event.

label
string
required

Readable label describing the event type.

source
string
required

Source: Source of the event. system events are created by Ruba. user events are the one you create through our ingestion API.

Allowed value: "system"
name
string
required

Name assigned to the event.

Allowed value: "meter.credited"
metadata
MeterCreditedMetadata · object
required
member_id
string<uuid4> | null

Identifier of the member within the customer's organization who performed the action inside B2B.

external_member_id
string | null

Identifier of the member in your system within the customer's organization who performed the action inside B2B.

child_count
integer
default:0

Count of direct child events linked to this event.

parent_id
string<uuid4> | null

Unique identifier for the parent event.